Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 27910 - Remove all org.openide.util.SwingEditors* from API
Remove all org.openide.util.SwingEditors* from API
Status: VERIFIED FIXED
Product: platform
Classification: Unclassified
Component: Explorer
3.x
PC Linux
: P2 (vote)
: 3.x
Assigned To: akemr
issues@platform
: API
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-10 12:30 UTC by Jaroslav Tulach
Modified: 2008-12-22 23:41 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2002-10-10 12:30:39 UTC
Probably accidently all innerclasses of
SwingEditors file are public, please make them
package private (and patch in runtime if
necessary) or remove them completly.
Comment 1 Jaroslav Tulach 2002-10-11 13:35:52 UTC
Ok, does not block issue 19443, can be done anytime. So let's do it
sooner than 4.0 is out.
Comment 2 akemr 2002-10-14 14:46:08 UTC
AFAIK it was just hack for old JDK's, which isn't needed in form
module anymore.

I suggest to:
1. Remove following "if" from Utilities.getBeanInfo method:
  if (clazz.getName().startsWith("javax.swing")) {// NOI18N
      bi = SwingEditors.scanAndSetBeanInfo(

2. Completely delete SwingEditors class
Comment 3 Jaroslav Tulach 2002-10-15 09:35:46 UTC
Fine with me.
Comment 4 akemr 2002-10-16 10:44:04 UTC
Fixed in trunk.
Comment 5 pzajac 2002-10-23 10:13:40 UTC
verified


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo